# PrimitiveHstore Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveHstore:
[legend]

List of all members.

## Public Member Functions

| setFormMapping ($array)
| getFormMapping ()
| getInnerErrors ()
| getInnerForm ()
| getValue ()
| importValue ($value)
| import ($scope)
| exportValue ()

## Protected Member Functions

| makeForm ()

## Protected Attributes

| $formMapping = array()

## Detailed Description

Definition at line 15 of file PrimitiveHstore.class.php.

## Member Function Documentation

PrimitiveHstore::exportValue | ( |  | ) |

Returns:
  Hstore

Reimplemented from BasePrimitive.

Definition at line 101 of file PrimitiveHstore.class.php.

References Hstore::make().

Referenced by getValue().

Here is the call graph for this function:

PrimitiveHstore::getFormMapping | ( |  | ) |

Definition at line 29 of file PrimitiveHstore.class.php.

Referenced by makeForm().

PrimitiveHstore::getInnerErrors | ( |  | ) |

Definition at line 34 of file PrimitiveHstore.class.php.

PrimitiveHstore::getInnerForm | ( |  | ) |

Returns:
  Form

Definition at line 45 of file PrimitiveHstore.class.php.

PrimitiveHstore::getValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 50 of file PrimitiveHstore.class.php.

References exportValue().

Here is the call graph for this function:

PrimitiveHstore::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Definition at line 78 of file PrimitiveHstore.class.php.

References makeForm().

Here is the call graph for this function:

PrimitiveHstore::importValue | ( | $ | value | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  boolean

Reimplemented from BasePrimitive.

Definition at line 59 of file PrimitiveHstore.class.php.

References BasePrimitive::$value, Assert::isTrue(), and makeForm().

Here is the call graph for this function:

PrimitiveHstore::makeForm | ( |  | ) | `[protected]`

Returns:
  Form

Definition at line 112 of file PrimitiveHstore.class.php.

References Form::create(), and getFormMapping().

Referenced by import(), and importValue().

Here is the call graph for this function:

PrimitiveHstore::setFormMapping | ( | $ | array | ) |

Returns:
  PrimitiveHstore

Definition at line 22 of file PrimitiveHstore.class.php.

## Member Data Documentation

PrimitiveHstore::$formMapping = array()`[protected]`

Definition at line 17 of file PrimitiveHstore.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveHstore.class.php